Subject: Re: bug#73743: Better prompts for Auto-save dialog

From: Stefan Kangas <[email-masked]>
Date: Fri, 28 Feb 2025 17:36:14 -0800

tags 73743 + wontfix
close 73743
thanks

Eli Zaretskii <[email-masked]> writes:

>> From: Dan Jacobson <[email-masked]>
>> Cc: [email-masked],  [email-masked]
>> Date: Sat, 26 Oct 2024 05:37:29 +0800
>>
>> I'm here to let everybody know,
>> that for users of emacs -nw,
>> this bug will face them several times a day.
>> Why?
>> Because
>> ^G^G^G^G^G^G...
>> is right next to
>> ^F^F^F^F^F^F...
>
> No one else complained in all the years this feature existed, so I
> think you greatly exaggerate the probability of this happening in
> reality.  My guess is that this is simply yet another attempt to
> convince that you have uncovered a grave problem, which is patently
> false.
>
>> Anyway, please change the prompt wording
>>
>> Auto-save? (y or n)
>> Abort (and dump core)? (y or n)
>>
>> to say instead
>>
>> Auto-save? (y RET or [n] RET)
>> Abort (and dump core)? (y RET or [n] RET)
>
> We never do anything like that in any other questions we ask the user,
> so I see no reason to make this case an exception (and risk confusing
> the user even more).

Agreed.  I think this is a wontfix, sorry.

I'm therefore closing this bug report.